curl -X POST 'https://crypto-api.yativo.com/api/v1/accounts/create-connections' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chains": ["ethereum", "solana", "polygon"]
}'
{
"status": "success",
"message": "Connections created successfully",
"data": {
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"connections": [
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E7",
"chain": "ethereum",
"status": "active"
},
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E8",
"chain": "solana",
"status": "active"
},
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E9",
"chain": "polygon",
"status": "active"
}
]
}
}
Accounts
Create Connections
Connect an account to one or more blockchain networks
POST
/
v1
/
accounts
/
create-connections
curl -X POST 'https://crypto-api.yativo.com/api/v1/accounts/create-connections' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chains": ["ethereum", "solana", "polygon"]
}'
{
"status": "success",
"message": "Connections created successfully",
"data": {
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"connections": [
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E7",
"chain": "ethereum",
"status": "active"
},
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E8",
"chain": "solana",
"status": "active"
},
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E9",
"chain": "polygon",
"status": "active"
}
]
}
}
Bearer token:
Bearer YOUR_ACCESS_TOKENThe ID of the account to connect to blockchain networks.
Array of blockchain network identifiers to connect. Supported values:
ethereum, solana, bitcoin, polygon, bsc, base, arbitrum, optimism, xdc.curl -X POST 'https://crypto-api.yativo.com/api/v1/accounts/create-connections' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chains": ["ethereum", "solana", "polygon"]
}'
{
"status": "success",
"message": "Connections created successfully",
"data": {
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"connections": [
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E7",
"chain": "ethereum",
"status": "active"
},
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E8",
"chain": "solana",
"status": "active"
},
{
"connection_id": "con_01HX9KZMB3F7VNQP8R2WDGT4E9",
"chain": "polygon",
"status": "active"
}
]
}
}
⌘I

